<?php

namespace Marius\RealEstate1.0\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        
        // Bind Propety workflow validator
        'Marius\RealEstate1.0\Models\Propety' => \Marius\RealEstate1.0\Workflow\PropetyValidator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        
        // Bind Propety workflow actions
        'Marius\RealEstate1.0\Models\Propety' => \Marius\RealEstate1.0\Workflow\PropetyAction::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       
        // Bind Propety workflow notifiers
        'Marius\RealEstate1.0\Models\Propety' => \Marius\RealEstate1.0\Workflow\PropetyNotifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
