<?php

namespace Marius\RealEstate1.0\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PropetyTransformer extends TransformerAbstract
{
    public function transform(\Marius\RealEstate1.0\Models\Propety $propety)
    {
        return [
            'id'                => $propety->getRouteKey(),
            'key'               => [
                'public'    => $propety->getPublicKey(),
                'route'     => $propety->getRouteKey(),
            ], 
            'id'                => $propety->id,
            'propety_name'      => $propety->propety_name,
            'propety_price'     => $propety->propety_price,
            'propety_location'  => $propety->propety_location,
            'propety_description' => $propety->propety_description,
            'images'            => $propety->images,
            'condition'         => $propety->condition,
            'amenities'         => $propety->amenities,
            'url'               => [
                'public'    => trans_url('real_estate1.0/'.$propety->getPublicKey()),
                'user'      => guard_url('real_estate1.0/propety/'.$propety->getRouteKey()),
            ], 
            'status'            => trans('app.'.$propety->status),
            'created_at'        => format_date($propety->created_at),
            'updated_at'        => format_date($propety->updated_at),
        ];
    }
}