<?php

namespace Marius\RealEstate1.0\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use Marius\RealEstate1.0\Models\Propety;

class PropetyAction
{
    /**
     * Perform the complete action.
     *
     * @param Propety $propety
     *
     * @return Propety
     */
    public function complete(Propety $propety)
    {
        try {
            $propety->status = 'complete';
            return $propety->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param Propety $propety
     *
     * @return Propety
     */public function verify(Propety $propety)
    {
        try {
            $propety->status = 'verify';
            return $propety->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param Propety $propety
     *
     * @return Propety
     */public function approve(Propety $propety)
    {
        try {
            $propety->status = 'approve';
            return $propety->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param Propety $propety
     *
     * @return Propety
     */public function publish(Propety $propety)
    {
        try {
            $propety->status = 'publish';
            return $propety->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param Propety $propety
     *
     * @return Propety
     */
    public function archive(Propety $propety)
    {
        try {
            $propety->status = 'archive';
            return $propety->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param Propety $propety
     *
     * @return Propety
     */
    public function unpublish(Propety $propety)
    {
        try {
            $propety->status = 'unpublish';
            return $propety->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
