<?php

namespace Marius\RealEstate1.0\Workflow;

use Marius\RealEstate1.0\Models\Propety;
use Marius\RealEstate1.0\Notifications\PropetyWorkflow as PropetyNotifyer;
use Notification;

class PropetyNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Propety $propety
     *
     * @return void
     */
    public function complete(Propety $propety)
    {
        return Notification::send($propety->user, new PropetyNotifyer($propety, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Propety $propety
     *
     * @return void
     */
    public function verify(Propety $propety)
    {
        return Notification::send($propety->user, new PropetyNotifyer($propety, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Propety $propety
     *
     * @return void
     */
    public function approve(Propety $propety)
    {
        return Notification::send($propety->user, new PropetyNotifyer($propety, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Propety $propety
     *
     * @return void
     */
    public function publish(Propety $propety)
    {
        return Notification::send($propety->user, new PropetyNotifyer($propety, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Propety $propety
     *
     * @return void
     */
    public function archive(Propety $propety)
    {
        return Notification::send($propety->user, new PropetyNotifyer($propety, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Propety $propety
     *
     * @return void
     */
    public function unpublish(Propety $propety)
    {
        return Notification::send($propety->user, new PropetyNotifyer($propety, 'unpublish'));;

    }
}
